#
# spec file for package ghc-SDL-image
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name SDL-image
Name:           ghc-%{pkg_name}
Version:        0.6.1.2
Release:        lp150.1.8
Summary:        Binding to libSDL_image
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-SDL-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  libSDL_image-devel

%description
SDL_image is an image file loading library. It loads images as SDL surfaces,
and supports the following formats: BMP, GIF, JPEG, LBM, PCX, PNG, PNM, TGA,
TIFF, XCF, XPM, XV.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires:       libSDL_image-devel
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%{_datadir}/%{pkg_name}-%{version}/MACOSX
%{_datadir}/%{pkg_name}-%{version}/README
%{_datadir}/%{pkg_name}-%{version}/issues.txt

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.6.1.2 revision 1 with cabal2obs.
  This update obsoletes ghc-SDL-image-pc.patch.
* Fri May 15 2015 dap.darkness@gmail.com
- Added ghc-SDL-image-pc.patch to resolve "linking error:
  (Image.o):(.text+0x85): undefined reference to IMG_*",
  see more at https://github.com/styx/Raincat/issues/3
* Mon Oct 28 2013 sbahling@suse.com
- Update spec file.
  * Use new cabal-rpm template
  * Builds for SUSE Linux Enterpise 11
* Sun Aug  4 2013 dap.darkness@gmail.com
- Fixed for Haskell Platform 2013.2.
* Mon Jun 17 2013 dap.darkness@gmail.com
- Initial build.
